Subject: Fwd: I-D Action:draft-nward-6to4-qualification-00.txt

From: Nathan Ward <[email-masked]>
Date: Wed, 4 Mar 2009 00:36:00 +1300

Hi all,

I have just submitted the following, comments appreciated! Please note  
that it is very draft so I could get this in by the deadline and get  
some discussion happening.

On 4/03/2009, at 12:30 AM, [email-masked] wrote:

> A New Internet-Draft is available from the on-line Internet-Drafts  
> directories.
>
> 	Title           : 6to4 Qualification
> 	Author(s)       : N. Ward
> 	Filename        : draft-nward-6to4-qualification-00.txt
> 	Pages           : 9
> 	Date            : 2009-03-03
>
> A deployment problem exists with existing self-configuring 6to4
> implementations making often incorrect assumptions about the state of
> their IPv4 network connectivity.
> This document describes the problem, and proposes a qualification
> mechanism by which nodes can validate that their connectivity to the
> global IPv6 network is suitable for use with the 6to4 protocol.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-nward-6to4-qualification-00.txt
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
>
>
> !DSPAM:22,49ad14da98525283917279!
> <mime-attachment>_______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
>
> !DSPAM:22,49ad14da98525283917279!

--
Nathan Ward

---

From: JINMEI Tatuya / 神明達哉 <[email-masked]>
Date: Fri, 20 Mar 2009 11:23:50 -0700

At Wed, 4 Mar 2009 00:36:00 +1300,

> some discussion happening.

I've quickly read this draft.  It seems to me a reasonable and useful
proposal.  Here are some minor comments:

- I'd add a reference to RFC3068 with the first occurrence of
  "192.88.99.1".  (In section 2.2 of this version of draft).

- This 'MAY' looks awkward to me:

   SHALL cease.  Failure at this stage MAY mean an IPv4 firewall is in
   place.
   (Section 3.2, 4th para)

  because this doesn't actually define any implementation or
  operational behavior.  Can't this just be a lower-cased 'may'?
  (there's at least another awkward MAY in the draft)

- Section 5.1, 1st para

   A 24-bit IPv4 prefix, TBD1.  Only one IPv4 address is used, however
   24 bits is likely to be widely accepted in BGP peering sessions.

  I'd refer to RFC3068 since it provides more detailed rationale for
  the use of a /24 prefix.  It might even be better to say the
  rationale is the same (isn't it?) explicitly.

---
JINMEI, Tatuya
Internet Systems Consortium, Inc.

---

From: Nathan Ward <[email-masked]>
Date: Fri, 20 Mar 2009 11:35:38 -0700

>  "192.88.99.1".  (In section 2.2 of this version of draft).

Yup - this was written fast before the deadline so is very short on  
references.

>  (there's at least another awkward MAY in the draft)

I have had this comment from Brian Carpenter as well, so will make  
this change.

>  rationale is the same (isn't it?) explicitly.

Sounds good.

Cheers for your comments!

--
Nathan Ward

---

From: Nathan Ward <[email-masked]>
Date: Fri, 20 Mar 2009 12:09:26 -0700

A version -01 is available from http://don.braintrust.co.nz/~nward/draft-nward-6to4-qualification-01.txt 
  with the following changes:

- Explanation around what symmetric and asymmetric means in this  
context, and what they are for.
- Added a section discussing where this mechanism is appropriate. I'm  
open to better names for this section, the current one seems weird.
- Added a reference to RFC3056 in the first mention of 192.88.99.1
- Changed case for a MAY/may
- Changed some AAAA/BBBB etc. to non-hex characters (M, N, etc.)
- Added a reference to RFC3056 for /24 rationale - I also suggest a / 
32 for the IPv6 asymmetric prefix. Is there similar rationale I can  
point to for this?

I think that's it.

I will submit properly when the tool becomes available again.

Thanks all for your comments.

--
Nathan Ward

---

From: Roque Gagliano <[email-masked]>
Date: Sat, 21 Mar 2009 15:45:32 -0700

Nathan

for the TBD1 IPv4 address please remember that there is a proposal to  
create a special registry in IANA in:
draft-iana-special-ipv4-registry-01.txt

you could refer to this.

r.

On Mar 20, 2009, at 12:09 PM, Nathan Ward wrote:

> - Added a section discussing where this mechanism is appropriate.  
> I'm open to better names for this section, the current one seems  
> weird.